Jump to content
futurepr0n

Mac OSX Catalina - Can't install Line 6 Monkey 1.78

Recommended Posts

Hey all, I just bought a new MacBook to start getting back into using my Line 6 Pod X3 Live and was going to start installing the drivers and software and stuff, but it looks like Line 6 Monkey does not install on this version of OSX. Is there a way for me to run the installer? I managed to get Line 6 License Manager no problem. But for some reason I can't get this. Is there any further support for software on this pedal?

Share this post


Link to post
Share on other sites

Did you try manually downloading everything from line6.com? You dont need monkey, its just convenient. Its all on the downloads section at line6.com

Share this post


Link to post
Share on other sites

I tried, Line6 Monkey installs, but won't run because its built for 32 bit and my Mac OS is the latest, which only supports 64bit apps. I installed the driver manually, which "works", however the Line 6 X3 Live is not found in Mac OSX Catalina, and I can't record any audio through Ableton, it also doesn't come up as a device. 

 

Is there a 64 bit version of the driver to be made available sometime???

Share this post


Link to post
Share on other sites

The only part is there isn’t any 64bit version of anything.

 

the Catalina article says the drivers should still work, but after installing the drivers I still cannot see it access my device in OS X for recording - it is not recognized at all as a sound input or output device at the OS level, nor at any other level, it’s not available as an option in GarageBand, or ableton. 
 

the pedal is useless on Catalina and that’s a major bummer. I got a new MacBook Pro, there is no option to revert back to an older OS version. 
 

please guys, help us out. I can’t buy a new pedal for this purpose alone, it’s simply not possible within my budget. Everything works in windows 10 fine, however Catalina/OS X is my preferred OS and i can’t be the only user or affected. Is there any technical support tech that could troubleshoot over the phone? I would require someone who has a similar set up or access to the same products.

Share this post


Link to post
Share on other sites

It's been at least 6 months. Where is the update? I have 4 Variax guitars in this studio, and workbench DOES NOT WORK.

Share this post


Link to post
Share on other sites

Does anyone know if an update has been released from Line6 regarding this issue with OS Catalina? I'm experiencing the same problem. My MacBook doesn't recognise the UX2. I was able to install the License Manager and the drivers (which are not recognised by the OS either) and Line6 Monkey is just not compatible with the OS. This is really a pain...

Do you guys know a trick or something to be able to use the pod in the meanwhile (and if so) Line6 releases a new update of Monkey ?

Share this post


Link to post
Share on other sites

It is not like the move to 64bit-only wasn't in the air for many months already, if not years. How come most of the other developers managed to properly anticipate it and update their apps accordingly? Line 6's is not exactly free stuff, either. Another otherwise fine device to throw into the junk box. That's a pity.

Share this post


Link to post
Share on other sites

hopefully someone has found some resolution to this??? I recently got rid of my old windows computer and got a new MacBook... trying to use my Pod x3 Live with it..

 

Share this post


Link to post
Share on other sites

so where do I get the 64bit versions?  Tried all the latest installers and they are all installing Line 6 monkey 32-bit.   

 

can use POD HD500 with my Mac

Share this post


Link to post
Share on other sites
4 hours ago, dchristensen11 said:

so where do I get the 64bit versions?  Tried all the latest installers and they are all installing Line 6 monkey 32-bit.   

 

can use POD HD500 with my Mac


There isn’t a 64-bit version of Monkey.

Share this post


Link to post
Share on other sites

Similar issue.  I have Catalina and want to use my UX1 in GarageBand.  Anyone know how to fix this yet?

Screen Shot 2020-04-21 at 9.14.22 PM.png

Share this post


Link to post
Share on other sites

Finally I have my Pod X3 Live working on Catalina :) 

 

Uninstall exisiting driver using the Line 6 Driver Uninstaller app, then:

 

Launch the Terminal application and type the following commands at the prompt:

  • sudo pkgutil --forget com.line6.driver.xtaudio.package
  • sudo pkgutil --forget com.line6.driver.xtmidi.package 

Then

  1. Reboot mac
  2. Disconnect the X3 live (I think this may be crucial as I went through the process without doing this and it did not work)
  3. Install the latest driver (7.6.8)
  4. Reboot mac
  5. Opened the driver config screen via system preferences
  6. Reconnected the X3 and there it is.

Can now use Garage Band etc.

1912718775_ScreenShot2020-04-22at11_08_08pm.png.d16277bb120820d5fbe43475fdf8b283.png1076259967_ScreenShot2020-04-22at10_42_38pm.png.be89ec0e078ffc7cceb5e60d37c2019b.png

  • Like 1

Share this post


Link to post
Share on other sites

Is Line 6 just going to remain quiet on this topic???  I've been able to run my Line 6 X3 Live since I upgraded to Catalina but I no longer have access to updates for it as there is no Line 6 Monkey available.  The last thing said on this from Line 6 was that you are working on a solution.  Line 6 should've been advised in advance by Apple that they were no longer supporting 32-bit software but here we, 6 months after the fact, and there is still solution or response. 

 

I've always appreciated the fact that Line 6 has been still supporting older equipment, as I certainly can't afford to upgrade, but is this Line 6's way of doing Apple's thing and forcing people to buy new equipment as it is no longer supported???

 

Some response would be better then nothing!

 

Regards.

Share this post


Link to post
Share on other sites

Come on Line 6.... Get your act together, we got music to make here. We need 64bit to run with Catalina and our DAWS!!!!

POD Studio UX1 registered user

Screenshot 2020-05-03 at 11.07.29.png

Share this post


Link to post
Share on other sites
3 hours ago, ckmpod said:

Come on Line 6.... Get your act together, we got music to make here. We need 64bit to run with Catalina and our DAWS!!!!

POD Studio UX1 registered user

Screenshot 2020-05-03 at 11.07.29.png

 

Monkey doesn't work with Catalina and probably will never be updated to 64-bit. But the drivers for the UX1 should be compatible with Catalina. What are you having issues with?

Share this post


Link to post
Share on other sites

Well thank you getting back to me. I hope we can resolve this. Its a synchronising issue between audio and midi. I've downloaded the latest update after updating system to Catalina and Garageband to the latest upgrade. I've tried looking for conflicts but it must be that the 24bit is conflicting with the 64bit. Your advise will be greatly appreciated.

Screenshot 2020-05-03 at 16.26.26.png

Share this post


Link to post
Share on other sites
10 minutes ago, ckmpod said:

Well thank you getting back to me. I hope we can resolve this. Its a synchronising issue between audio and midi. I've downloaded the latest update after updating system to Catalina and Garageband to the latest upgrade. I've tried looking for conflicts but it must be that the 24bit is conflicting with the 64bit. Your advise will be greatly appreciated.

Screenshot 2020-05-03 at 16.26.26.png

 

10 minutes ago, ckmpod said:

Well thank you getting back to me. I hope we can resolve this. Its a synchronising issue between audio and midi. I've downloaded the latest update after updating system to Catalina and Garageband to the latest upgrade. I've tried looking for conflicts but it must be that the 24bit is conflicting with the 64bit. Your advise will be greatly appreciated.

Screenshot 2020-05-03 at 16.26.26.png

Its the driver I installed

 

Share this post


Link to post
Share on other sites

Same problem here. I bought a brand new Macbook Pro, Variax and Helix Native thinking I would be good to go and ready to play. Nope! The hardware is working just fine but Workbench and Monkey will not work with Catalina and there's nothing I can do about it. Line 6 apparently could care less because this has been an issue for a very long time and they have done nothing to correct this issue. They have no problem selling you their products but will leave you hanging when your equipment is basically non functional for what you would like to use it for. They say that they are working on it but I doubt that they are being truthful. It's very dissapointing to me. I expected much better after spending so much money. 

Share this post


Link to post
Share on other sites
2 hours ago, ct400b1 said:

Same problem here. I bought a brand new Macbook Pro, Variax and Helix Native thinking I would be good to go and ready to play. Nope! The hardware is working just fine but Workbench and Monkey will not work with Catalina and there's nothing I can do about it. Line 6 apparently could care less because this has been an issue for a very long time and they have done nothing to correct this issue. They have no problem selling you their products but will leave you hanging when your equipment is basically non functional for what you would like to use it for. They say that they are working on it but I doubt that they are being truthful. It's very dissapointing to me. I expected much better after spending so much money. 


Workbench HD should work with Catalina. The original Workbench is 32-bit only, and will not.

 

As far as Monkey, it's ancient software at this point. Line 6 has continued to support it only because there are a few hardware SKUs that still use it, the Variax being one of them. I'm nearly certain that instead of trying to update Monkey to 64-bit, that what Line 6 is going to do is going to make it so Line 6 Updater supports the Variax.

 

I mean the thing with this Catalina thing is that is was entirely a decision that Apple made that caused the issue. Apple dropped 32-bit entirely with Catalina, so it's puts the burden on other companies to react. Say what you want about Windows, but Windows 10 still support 32-bit software.

Share this post


Link to post
Share on other sites

Phil_m, I appreciate the info. You are correct and I am humbled. Needless to say, I was frustrated and since I wrote that, I was able to get Workshop HD up and running. My Variax is now able to connect and I can make the adjustments I need. Thank you so much for helping me. I had to download the newest version. My apologies to everyone for venting my frustration. 

Share this post


Link to post
Share on other sites

I had this problem, the issue wasn't that the Mac security was not allowing the drivers to be loaded. To fix this:

 

https://line6.com/support/page/kb/recording/computer-audio-set-up-and-troubleshooting/macos-high-sierra-1013mojave-1014catalina-1015-driver-installation-change-r879/

Share this post


Link to post
Share on other sites
On 5/17/2020 at 7:51 PM, phil_m said:


Workbench HD should work with Catalina. The original Workbench is 32-bit only, and will not.

 

As far as Monkey, it's ancient software at this point. Line 6 has continued to support it only because there are a few hardware SKUs that still use it, the Variax being one of them. I'm nearly certain that instead of trying to update Monkey to 64-bit, that what Line 6 is going to do is going to make it so Line 6 Updater supports the Variax.

 

I mean the thing with this Catalina thing is that is was entirely a decision that Apple made that caused the issue. Apple dropped 32-bit entirely with Catalina, so it's puts the burden on other companies to react. Say what you want about Windows, but Windows 10 still support 32-bit software.

 

I have a kb37 and the driver still works with Catalina. I always thought that Line6 is a good choice for the support too, not only for the quality of the products. If Line6 stops giving support, you might as well buy products of other brands. There is not difference..Very simple... Also: I understand the reasons of Apple. I don't understand the reasons of Line6 to end the support.

Share this post


Link to post
Share on other sites
On 4/22/2020 at 9:13 AM, ADobie said:

Finally I have my Pod X3 Live working on Catalina :) 

 

Uninstall exisiting driver using the Line 6 Driver Uninstaller app, then:

 

Launch the Terminal application and type the following commands at the prompt:

  • sudo pkgutil --forget com.line6.driver.xtaudio.package
  • sudo pkgutil --forget com.line6.driver.xtmidi.package 

Then

  1. Reboot mac
  2. Disconnect the X3 live (I think this may be crucial as I went through the process without doing this and it did not work)
  3. Install the latest driver (7.6.8)
  4. Reboot mac
  5. Opened the driver config screen via system preferences
  6. Reconnected the X3 and there it is.

Can now use Garage Band etc.

1912718775_ScreenShot2020-04-22at11_08_08pm.png.d16277bb120820d5fbe43475fdf8b283.png1076259967_ScreenShot2020-04-22at10_42_38pm.png.be89ec0e078ffc7cceb5e60d37c2019b.png

 

 

This one worked!!! Thanks so much!!!

 

Share this post


Link to post
Share on other sites
On 7/11/2020 at 12:08 AM, pcosmo said:

I had this problem, the issue wasn't that the Mac security was not allowing the drivers to be loaded. To fix this:

 

https://line6.com/support/page/kb/recording/computer-audio-set-up-and-troubleshooting/macos-high-sierra-1013mojave-1014catalina-1015-driver-installation-change-r879/


This was the same problem for me as well

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...